Jump to content
Sign in to follow this  
grady_h

cannot update Powercab Plus

Recommended Posts

Posted (edited)

when I click on the download of the Powercab update I get "safari cannot open file because no available application can open it".  tried to do the update through the line 6updater application but even though am am signed in to my line 6 account , line 6 updater wants me to sign in and keeps telling me my password is wrong.  heeeeeelp

Edited by grady_h
typo

Share this post


Link to post
Share on other sites

I have two Powercab Plus units and both showed up in the updater. Get your password straightened out, then download the latest version of Line 6 updater and try again.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×